PUT /admin/api/providers/{id}/routing/{operation}/{dialect}
curl --request PUT \
--url https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect} \
--header 'Content-Type: application/json' \
--cookie gproxy_session= \
--data '
{
"implementation": "<string>",
"target": {
"dialect": "<string>",
"operation": "<string>"
}
}
'import requests
url = "https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}"
payload = {
"implementation": "<string>",
"target": {
"dialect": "<string>",
"operation": "<string>"
}
}
headers = {
"cookie": "gproxy_session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'gproxy_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
implementation: '<string>',
target: {dialect: '<string>', operation: '<string>'}
})
};
fetch('https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'implementation' => '<string>',
'target' => [
'dialect' => '<string>',
'operation' => '<string>'
]
]),
CURLOPT_COOKIE => "gproxy_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}"
payload := strings.NewReader("{\n \"implementation\": \"<string>\",\n \"target\": {\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "gproxy_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}")
.header("cookie", "gproxy_session=")
.header("Content-Type", "application/json")
.body("{\n \"implementation\": \"<string>\",\n \"target\": {\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'gproxy_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"implementation\": \"<string>\",\n \"target\": {\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body[
{
"custom": true,
"defaultMapping": {
"implementation": "<string>",
"target": {
"dialect": "<string>",
"operation": "<string>"
}
},
"dialect": "<string>",
"localAvailable": true,
"mapping": {
"implementation": "<string>",
"target": {
"dialect": "<string>",
"operation": "<string>"
}
},
"operation": "<string>",
"targets": [
{
"dialect": "<string>",
"operation": "<string>"
}
]
}
]{
"error": {
"code": "<string>",
"message": "<string>"
}
}Management
PUT /admin/api/providers/{id}/routing/{operation}/{dialect}
PUT
/
admin
/
api
/
providers
/
{id}
/
routing
/
{operation}
/
{dialect}
PUT /admin/api/providers/{id}/routing/{operation}/{dialect}
curl --request PUT \
--url https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect} \
--header 'Content-Type: application/json' \
--cookie gproxy_session= \
--data '
{
"implementation": "<string>",
"target": {
"dialect": "<string>",
"operation": "<string>"
}
}
'import requests
url = "https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}"
payload = {
"implementation": "<string>",
"target": {
"dialect": "<string>",
"operation": "<string>"
}
}
headers = {
"cookie": "gproxy_session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'gproxy_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
implementation: '<string>',
target: {dialect: '<string>', operation: '<string>'}
})
};
fetch('https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'implementation' => '<string>',
'target' => [
'dialect' => '<string>',
'operation' => '<string>'
]
]),
CURLOPT_COOKIE => "gproxy_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}"
payload := strings.NewReader("{\n \"implementation\": \"<string>\",\n \"target\": {\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "gproxy_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}")
.header("cookie", "gproxy_session=")
.header("Content-Type", "application/json")
.body("{\n \"implementation\": \"<string>\",\n \"target\": {\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/providers/{id}/routing/{operation}/{dialect}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'gproxy_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"implementation\": \"<string>\",\n \"target\": {\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body[
{
"custom": true,
"defaultMapping": {
"implementation": "<string>",
"target": {
"dialect": "<string>",
"operation": "<string>"
}
},
"dialect": "<string>",
"localAvailable": true,
"mapping": {
"implementation": "<string>",
"target": {
"dialect": "<string>",
"operation": "<string>"
}
},
"operation": "<string>",
"targets": [
{
"dialect": "<string>",
"operation": "<string>"
}
]
}
]{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
consoleSessionbeareranthropicKeygoogleKey
请求头
Administrative scope selected by the caller.
请求体
application/json